# Hurry Curry! - a game about cooking
# Copyright (C) 2025 Hurry Curry! contributors
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, version 3 of the License only.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
class_name PlayerPortal
extends Tile

var model: PortalModel = load("res://map/tiles/portal.tscn").instantiate()
func _init(ctx: TileFactory.TileCC):
	super(ctx)
	change(ctx.tile_name.name)
	base.add_child(model)

func change(tn: String) -> bool:
	if tn == "white-hole": model.target_type = 1.; model.target_size = 0.4; return true
	if tn == "grey-hole": model.target_type = 0.; model.target_size = 0.2; return true
	if tn == "black-hole": model.target_type = -1.; model.target_size = 0.4; return true
	return false
